* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.wrapper {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  overflow: auto;
  background-color: #eee;
  display: flex;
  justify-content: center;
}

.wrapper .login-wrapper {
  display: flex;
  min-width: 80%;
  height: fit-content;
  justify-content: space-between;
  background-color: #fff;
  border-radius: 10px;
  padding: 1rem;
  margin: 3rem 2rem;
}

.wrapper .login-wrapper form {
  display: flex;
  flex: 45%;
  flex-direction: column;
  padding: 1rem;
}

.wrapper .login-wrapper form h3 {
  margin-bottom: 1rem;
  text-align: center;
  font-weight: 900;
  font-size: 1.7rem;
  color: #2d88ff;
}
.wrapper .login-wrapper form input,
select,
textarea {
  padding: 1rem;
  margin-bottom: 8px;
  background-color: rgb(240, 240, 240);
  border: 1px solid #2d88ff;
  border-radius: 10px;
  outline: none;
}

.wrapper .login-wrapper .spliter {
  flex: 10%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  position: relative;
}
.wrapper .login-wrapper .spliter span {
  padding: 9px;
  border-radius: 50%;
}
.wrapper .login-wrapper .spliter span:before,
.wrapper .login-wrapper .spliter span:after {
  content: "";
  position: absolute;
  top: 1px;
  height: 39%;
  border: 1px solid #ccc;
  transform: translate(10px);
}
.wrapper .login-wrapper .spliter span:after {
  top: 60%;
  transform: translate(-12px);
}
.wrapper .login-wrapper .spliter span {
  width: min-content;
  margin: 0 auto;
  color: #2d88ff;
  font-weight: 700;
  border: 1px solid #ccc;
  background: #fff;
}

.wrapper .login-wrapper .social-wrapper {
  flex: 45%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.wrapper .login-wrapper button,
.wrapper .login-wrapper .social-wrapper div {
  width: 100%;
  padding: 1rem;
  margin-bottom: 10px;
  text-transform: uppercase;
  font-weight: bold;
  background-color: #111;
  border: none;
  color: #fff;
  border-radius: 5px;
  cursor: pointer;
}

.wrapper .login-wrapper form span {
  margin-top: 10px;
}

.wrapper .login-wrapper div.facebook {
  display: flex;
  align-items: center;
  background-color: #2d88ff;
  width: 76%;
}
.wrapper .login-wrapper div.google {
  display: flex;
  align-items: center;
  background-color: #f02849;
  width: 76%;
}

.wrapper .login-wrapper .social-wrapper div span {
  text-transform: uppercase;
  margin-left: 1rem;
}
.alert {
  padding: 1rem 1.3rem;
  line-height: 1.3rem;
  color: #fff;
  border-radius: 3px;
  margin-bottom: 1rem;
}

.info-alert {
  margin-top: 1rem;
  background-color: #88e0f0;
}
.error-alert {
  background-color: #f36f7a;
}
.error-alert ul {
  padding-left: 1.5rem;
}

/* tasks */
.main {
  background-color: #eee;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  overflow: auto;
}

.main nav {
  padding: 1rem 0.5rem;
  background-color: #fff;
  display: flex;
  justify-content: space-between;
  text-transform: uppercase;
}

.space {
  margin: 0 1rem;
}
.main nav ul {
  list-style: none;
  display: flex;
  justify-content: space-between;
}

.main nav ul li {
  font-size: 1.2rem;
  cursor: pointer;
}
a {
  text-decoration: none;
  color: initial;
}

.main .tasks-section {
  margin-top: 2rem;
  padding: 0 1rem;
}
.main .tasks-section .button-wrapper {
  display: flex;
  justify-content: flex-end;
}
.main .tasks-section .button {
  background-color: #fff;
  border: 1px solid #ccc;
  padding: 0.5rem;
  text-transform: uppercase;
}
.main .tasks-section .button:hover {
  background-color: #2d88ff;
  color: #fff;
}
.main .tasks-section .list {
  display: flex;
  flex-wrap: wrap;
  justify-content: start space-between;
}
.main .tasks-section .list .item {
  background-color: #fff;
  margin-top: 1rem;
  flex: 24%;
  margin-right: 1%;
  padding: 1rem;
}
.main .tasks-section .list .item header {
  display: flex;
  justify-content: space-between;
}
.main .tasks-section .list .item header .icons-container {
  display: inline-flex;
}
.main .tasks-section .list .item p.success {
  color: rgb(19, 156, 19);
}
.main .tasks-section .list .item p.normal {
  color: #ccc;
}
.wrapper.task .login-wrapper {
  max-width: 50%;
}
@media (max-width: 767px) {
  .wrapper {
    align-items: flex-start;
  }
  .wrapper .login-wrapper {
    min-width: 75%;
    flex-direction: column;
    height: fit-content;
    margin: 1rem 2rem;
  }
  .wrapper .login-wrapper .spliter {
    flex: 100%;
    display: flex;
    justify-content: center;
    margin-bottom: 1rem;
  }
  .wrapper .login-wrapper .spliter span:before,
  .wrapper .login-wrapper .spliter span:after {
    height: 0px;
    top: 45%;
  }
  .wrapper .login-wrapper .spliter span:before {
    left: 10px;
    width: 36%;
    margin-right: 1rem;
  }
  .wrapper .login-wrapper .spliter span:after {
    left: 61.5%;
    width: 36%;
    margin-right: 9px;
  }
  .wrapper .login-wrapper .social-wrapper {
    flex: 100%;
  }
  .wrapper .login-wrapper .social-wrapper div {
    width: 90%;
  }
  .main .tasks-section .list .item {
    width: 100%;
    flex: 100%;
  }
}
